# Currently not working due do ldap:
#
#   /usr/lib/gcc/x86_64-alpine-linux-musl/10.3.1/../../../../x86_64-alpine-linux-musl/bin/ld: cannot find -lldap_r
#
# While trying to install python-ldap

FROM python:3.10.0-alpine3.15

WORKDIR /usr/src/app

# FIX https://github.com/python-ldap/python-ldap/issues/432
RUN echo 'INPUT ( libldap.so )' > /usr/lib/libldap_r.so

COPY requirements.txt ./
# OS requirements for building wheel and for operating uncloud
RUN apk update && apk add \
    gcc \
    git \
    libxml2-dev \
    libxslt-dev \
    libffi-dev \
    openldap-dev \
    postgresql-dev \
    python3-dev \
    musl-dev \
    nginx \
    wireguard-tools-wg
RUN pip install --no-cache-dir -r requirements.txt

COPY . .
